## poppler 0.80.0

=== glib/CMakeLists.txt ===
include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
)

include_directories(
  SYSTEM
  ${GLIB2_INCLUDE_DIRS}
  ${CAIRO_INCLUDE_DIRS}
)
add_definitions(
  -DG_LOG_DOMAIN=\"Poppler\"
  ${GLIB2_CFLAGS_OTHER}
  ${CAIRO_CFLAGS}
  ${POPPLER_GLIB_DISABLE_DEPRECATED}
  ${POPPLER_GLIB_DISABLE_SINGLE_INCLUDES}
)

configure_file(poppler-features.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/poppler-features.h @ONLY)

if (GTK_FOUND AND BUILD_GTK_TESTS)
  add_subdirectory(demo)
endif ()

set(poppler_glib_public_headers
  poppler-action.h
  poppler-date.h
  poppler-document.h
  poppler-page.h
  poppler-attachment.h
  poppler-form-field.h
  poppler-annot.h
  poppler-layer.h
  poppler-macros.h
  poppler-movie.h
  poppler-media.h
  poppler.h
  poppler-structure-element.h
)

find_program(GLIB2_MKENUMS glib-mkenums)

add_custom_command(
  OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/poppler-enums.h
  COMMAND ${GLIB2_MKENUMS}
  ARGS
    --template poppler-enums.h.template
    ${poppler_glib_public_headers} > ${CMAKE_CURRENT_BINARY_DIR}/poppler-enums.h
  WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
  DEPENDS ${poppler_glib_public_headers}
          ${CMAKE_CURRENT_SOURCE_DIR}/poppler-enums.h.template
)

add_custom_command(
  OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/poppler-enums.c
  COMMAND ${GLIB2_MKENUMS}
  ARGS
    --template poppler-enums.c.template
    ${poppler_glib_public_headers} > ${CMAKE_CURRENT_BINARY_DIR}/poppler-enums.c
  WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
  DEPENDS ${poppler_glib_public_headers} ${CMAKE_CURRENT_BINARY_DIR}/poppler-enums.h
          ${CMAKE_CURRENT_SOURCE_DIR}/poppler-enums.c.template
)


set(poppler_glib_SRCS
  poppler-action.cc
  poppler-date.cc
  poppler-document.cc
  poppler-page.cc
  poppler-attachment.cc
  poppler-form-field.cc
  poppler-annot.cc
  poppler-layer.cc
  poppler-movie.cc
  poppler-media.cc
  poppler.cc
  poppler-cached-file-loader.cc
  poppler-input-stream.cc
  poppler-structure-element.cc
)
set(poppler_glib_generated_SRCS
  ${CMAKE_CURRENT_BINARY_DIR}/poppler-enums.c
  ${CMAKE_SOURCE_DIR}/poppler/CairoFontEngine.cc
  ${CMAKE_SOURCE_DIR}/poppler/CairoOutputDev.cc
  ${CMAKE_SOURCE_DIR}/poppler/CairoRescaleBox.cc
)
add_library(poppler-glib ${poppler_glib_SRCS} ${poppler_glib_generated_SRCS})
set_target_properties(poppler-glib PROPERTIES VERSION 8.14.0 SOVERSION 8)
set_target_properties(poppler-glib PROPERTIES C_VISIBILITY_PRESET hidden)
set_target_properties(poppler-glib PROPERTIES CXX_VISIBILITY_PRESET hidden)
set_target_properties(poppler-glib PROPERTIES VISIBILITY_INLINES_HIDDEN 1)
if(MINGW AND BUILD_SHARED_LIBS)
    get_target_property(POPPLER_GLIB_SOVERSION poppler-glib SOVERSION)
    set_target_properties(poppler-glib PROPERTIES SUFFIX "-${POPPLER_GLIB_SOVERSION}${CMAKE_SHARED_LIBRARY_SUFFIX}")
endif()
if(${CMAKE_VERSION} VERSION_LESS "3.6.0")
    target_link_libraries(poppler-glib poppler ${GLIB2_LIBRARIES} ${CAIRO_LIBRARIES} ${FREETYPE_LIBRARIES})
else()
    target_link_libraries(poppler-glib poppler PkgConfig::GLIB2 ${CAIRO_LIBRARIES} ${FREETYPE_LIBRARIES})
endif()
if(CMAKE_USE_PTHREADS_INIT)
   target_link_libraries(poppler-glib Threads::Threads)
endif()
install(TARGETS poppler-glib RUNTIME DESTINATION bin LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR} ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR})

install(FILES
  ${poppler_glib_public_headers}
  ${CMAKE_CURRENT_BINARY_DIR}/poppler-enums.h
  ${CMAKE_CURRENT_BINARY_DIR}/poppler-features.h
  DESTINATION include/poppler/glib)

set_directory_properties(PROPERTIES ADDITIONAL_MAKE_CLEAN_FILES
  "${CMAKE_CURRENT_BINARY_DIR}/poppler-enums.h ${CMAKE_CURRENT_BINARY_DIR}/poppler-enums.c"
)


macro(_list_prefix _outvar _listvar _prefix)
  set(${_outvar})
  foreach(_item IN LISTS ${_listvar})
    list(APPEND ${_outvar} ${_prefix}${_item})
  endforeach()
endmacro(_list_prefix)

# GObject Introspection
if (HAVE_INTROSPECTION AND BUILD_SHARED_LIBS)
  include(GObjectIntrospectionMacros)
  set(INTROSPECTION_GIRS)
  set(INTROSPECTION_SCANNER_ARGS "--add-include-path=${CMAKE_CURRENT_SOURCE_DIR} --warn-all")
  set(INTROSPECTION_COMPILER_ARGS "--includedir=${CMAKE_CURRENT_SOURCE_DIR}")

  set(introspection_files ${poppler_glib_SRCS} ${poppler_glib_public_headers})
  set(Poppler_0_18_gir "poppler-glib")
  set(Poppler_0_18_gir_INCLUDES GObject-2.0 Gio-2.0 cairo-1.0)
  get_directory_property(_tmp_includes INCLUDE_DIRECTORIES)
  _list_prefix(_includes _tmp_includes "-I")
  set(Poppler_0_18_gir_CFLAGS ${_includes} -L${CMAKE_BINARY_DIR} -L${CMAKE_CURRENT_BINARY_DIR})
  set(Poppler_0_18_gir_LIBS poppler-glib poppler)
  _list_prefix(_abs_introspection_files introspection_files "${CMAKE_CURRENT_SOURCE_DIR}/")
  list(APPEND _abs_introspection_files
    ${CMAKE_CURRENT_BINARY_DIR}/poppler-enums.c
    ${CMAKE_CURRENT_BINARY_DIR}/poppler-enums.h
    ${CMAKE_CURRENT_BINARY_DIR}/poppler-features.h
  )
  set(Poppler_0_18_gir_FILES ${_abs_introspection_files})
  set(Poppler_0_18_gir_SCANNERFLAGS --c-include poppler.h)
  set(Poppler_0_18_gir_EXPORT_PACKAGES poppler-glib)

  list(APPEND INTROSPECTION_GIRS Poppler-0.18.gir)

  gir_add_introspections(INTROSPECTION_GIRS)
endif ()

if(ENABLE_GTK_DOC)
  add_subdirectory(reference)
endif()

=== debian/changelog ===
poppler (0.80.0-0ubuntu1.1) eoan; urgency=medium

  * Fix null pointer dereference when checking for glyphless font,
    thanks to Enrik Berkhan (LP: #1849773)

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 16 Dec 2019 21:41:17 +0100

poppler (0.80.0-0ubuntu1) eoan; urgency=medium

  * New upstream version
  * debian/control, debian/libpoppler87.install:
    - updated for the new soname version
  * Updated symbols files
  * debian/libpoppler90.doc:
    - updated for the README name change
  * debian/patches/CVE-2018-19058.patch,
    debian/patches/CVE-2019-10872.patch,
    debian/patches/276.patch:
    - removed, those changes are in the new version
  * Refreshed the patches

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 13 Aug 2019 10:42:22 +0200

poppler (0.76.1-0ubuntu6) eoan; urgency=medium

  * debian/patches/glib_deprecation_warning.patch:
    - disable the GTime deprecation warnings that started with 
      the new glib version, fix the autopkgtest

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 26 Aug 2019 14:54:12 +0300

poppler (0.76.1-0ubuntu5) eoan; urgency=medium

  * SECURITY UPDATE: Divide-by-zero error
    - debian/patches/CVE-2019-14494.patch: Fix crash on broken file
      in poppler/SplashOutputDev.cc.
    - CVE-2019-14494

 -- Leonidas S. Barbosa <leo.barbosa@canonical.com>  Mon, 12 Aug 2019 11:13:03 -0300

poppler (0.76.1-0ubuntu4) eoan; urgency=medium

  * SECURITY UPDATE: heap-based buffer over-readq
    - debian/patches/CVE-2019-10872.patch: restrict filling of overlapping
      boxes in splash/Splash.cc.
    - CVE-2019-10872
x
 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 25 Jun 2019 15:13:54 -0400

poppler (0.76.1-0ubuntu3) eoan; urgency=medium

  * d/p/glyphless-font.patch: Support Tesseract's glyphless font (LP: #1830473)

 -- Julian Andres Klode <juliank@ubuntu.com>  Sat, 25 May 2019 12:31:14 +0200

poppler (0.76.1-0ubuntu2) eoan; urgency=medium

  * SECURITY UPDATE: heap-based buffer over-read
    in JPXStream::init in JPEG2000Stream.cc
    - debian/patches/276.patch (Closes: #929423)
      upstream patch
    - CVE-2019-12293

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 23 May 2019 16:48:32 +0200

poppler (0.76.1-0ubuntu1) eoan; urgency=medium

  * New upstream release
    sed s/libpoppler82/libpoppler85/g

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 07 May 2019 11:01:01 +0200

=== debian/control ===
Source: poppler
Section: devel
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian freedesktop.org maintainers <pkg-freedesktop-maintainers@lists.alioth.debian.org>
Uploaders: Josselin Mouette <joss@debian.org>,
           Loic Minier <lool@dooz.org>,
           Pino Toscano <pino@debian.org>,
           Emilio Pozuelo Monfort <pochu@debian.org>,
Build-Depends: debhelper (>= 11),
               dpkg (>= 1.16.1),
               cmake,
               libglib2.0-dev (>= 2.41),
               libfontconfig1-dev,
               libcairo2-dev (>= 1.10.0),
               libjpeg-dev,
               libpng-dev,
               libtiff-dev,
               liblcms2-dev,
               libfreetype6-dev,
               gtk-doc-tools (>= 1.14),
               pkg-config (>= 0.18),
               libgirepository1.0-dev (>= 1.42.0-2~),
               gobject-introspection (>= 1.42.0-2~),
               qtbase5-dev,
               zlib1g-dev,
               libnss3-dev,
Build-Depends-Indep: libglib2.0-doc,
                     libcairo2-doc
Standards-Version: 4.1.2
Homepage: http://poppler.freedesktop.org/
Vcs-Git: https://salsa.debian.org/freedesktop-team/poppler.git
Vcs-Browser: https://salsa.debian.org/freedesktop-team/poppler

Package: libpoppler90
Architecture: any
Section: libs
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends}
Recommends: poppler-data
Description: PDF rendering library
 Poppler is a PDF rendering library based on Xpdf PDF viewer.
 .
 This package contains the shared core library.

Package: libpoppler-dev
Architecture: any
Section: libdevel
Multi-Arch: same
Depends: libpoppler90 (= ${binary:Version}),
         ${shlibs:Depends},
         ${misc:Depends}
Description: PDF rendering library -- development files
 Poppler is a PDF rendering library based on Xpdf PDF viewer.
 .
 This package contains the development libraries needed to build applications
 using Poppler.

Package: libpoppler-private-dev
Architecture: any
Section: libdevel
Multi-Arch: same
Depends: libpoppler-dev (= ${binary:Version}),
         ${misc:Depends}
Suggests: libfreetype6-dev,
Description: PDF rendering library -- private development files
 Poppler is a PDF rendering library based on Xpdf PDF viewer.
 .
 This package contains the private and unstable headers needed to build
 applications using the private Poppler core library.

Package: libpoppler-glib8
Architecture: any
Section: libs
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: libpoppler90 (= ${binary:Version}),
         ${shlibs:Depends},
         ${misc:Depends}
Description: PDF rendering library (GLib-based shared library)
 Poppler is a PDF rendering library based on Xpdf PDF viewer.
 .
 This package provides the GLib-based shared library for applications
 using the GLib interface to Poppler.

Package: libpoppler-glib-dev
Architecture: any
Section: libdevel
Depends: libpoppler-glib8 (= ${binary:Version}),
         libpoppler-dev (= ${binary:Version}),
         gir1.2-poppler-0.18 (= ${binary:Version}),
         libglib2.0-dev (>= 2.41),
         libcairo2-dev (>= 1.10.0),
         ${shlibs:Depends},
         ${misc:Depends}
Suggests: libpoppler-glib-doc
Description: PDF rendering library -- development files (GLib interface)
 Poppler is a PDF rendering library based on Xpdf PDF viewer.
 .
 This package contains the headers and development libraries needed to
 build applications using the GLib-based Poppler interface.

Package: libpoppler-glib-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Recommends: libglib2.0-doc,
            libcairo2-doc,
Description: PDF rendering library -- documentation for the GLib interface
 Poppler is a PDF rendering library based on Xpdf PDF viewer.
 .
 This package contains the API documentation of the GLib-based Poppler
 interface.

Package: gir1.2-poppler-0.18
Architecture: any
Section: introspection
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${gir:Depends}
Description: GObject introspection data for poppler-glib
 Poppler is a PDF rendering library based on Xpdf PDF viewer.
 .
 This package contains introspection data for poppler-glib.
 .
 It can be used by packages using the GIRepository format to generate
 dynamic bindings.

Package: libpoppler-qt5-1
Architecture: any
Section: libs
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: libpoppler90 (= ${binary:Version}),
         ${shlibs:Depends},
         ${misc:Depends}
Description: PDF rendering library (Qt 5 based shared library)
 Poppler is a PDF rendering library based on Xpdf PDF viewer.
 .
 This package provides the Qt 5 based shared library for applications
 using the Qt 5 interface to Poppler.

Package: libpoppler-qt5-dev
Architecture: any
Section: libdevel
Multi-Arch: same
Depends: libpoppler-qt5-1 (= ${binary:Version}),
         libpoppler-dev (= ${binary:Version}),
         qtbase5-dev,
         ${shlibs:Depends},
         ${misc:Depends}
Description: PDF rendering library -- development files (Qt 5 interface)
 Poppler is a PDF rendering library based on Xpdf PDF viewer.
 .
 This package contains the headers and development libraries needed to
 build applications using the Qt 5-based Poppler interface.

Package: libpoppler-cpp0v5
Architecture: any
Section: libs
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: libpoppler90 (= ${binary:Version}),
         ${shlibs:Depends},
         ${misc:Depends}
Conflicts: libpoppler-cpp0
Replaces: libpoppler-cpp0
Description: PDF rendering library (CPP shared library)
 Poppler is a PDF rendering library based on Xpdf PDF viewer.
 .
 This package provides the CPP shared library for applications
 using a simple C++ interface (using STL, and no other dependency) to Poppler.

Package: libpoppler-cpp-dev
Architecture: any
Section: libdevel
Multi-Arch: same
Depends: libpoppler-cpp0v5 (= ${binary:Version}),
         libpoppler-dev (= ${binary:Version}),
         ${shlibs:Depends},
         ${misc:Depends}
Description: PDF rendering library -- development files (CPP interface)
 Poppler is a PDF rendering library based on Xpdf PDF viewer.
 .
 This package contains the headers and development libraries needed to
 build applications using the C++ Poppler interface.

Package: poppler-utils
Architecture: any
Section: utils
Multi-Arch: foreign
Depends: libpoppler90 (= ${binary:Version}),
         ${shlibs:Depends},
         ${misc:Depends}
# should really be just the following:
#Breaks: xpdf-utils (<< 3.02-2~)
# ... but because of #774949 (remove after Stretch/9.0) instead is:
Breaks: xpdf-utils (<< 1:0), xpdf-common
Conflicts: pdftohtml
Replaces: xpdf-utils (<< 3.02-2~),
          pdftohtml,
          xpdf-reader
Provides: xpdf-utils,
          pdftohtml
Description: PDF utilities (based on Poppler)
 Poppler is a PDF rendering library based on Xpdf PDF viewer.
 .
 This package contains command line utilities (based on Poppler) for getting
 information of PDF documents, convert them to other formats, or manipulate
 them:
  * pdfdetach -- lists or extracts embedded files (attachments)
  * pdffonts -- font analyzer
  * pdfimages -- image extractor
  * pdfinfo -- document information
  * pdfseparate -- page extraction tool
  * pdfsig -- verifies digital signatures
  * pdftocairo -- PDF to PNG/JPEG/PDF/PS/EPS/SVG converter using Cairo
  * pdftohtml -- PDF to HTML converter
  * pdftoppm -- PDF to PPM/PNG/JPEG image converter
  * pdftops -- PDF to PostScript (PS) converter
  * pdftotext -- text extraction
  * pdfunite -- document merging tool

=== debian/rules ===
#!/usr/bin/make -f

# the upstream version (i.e. without the Debian revision)
UPSTREAM_VERSION := $(shell dpkg-parsechangelog | sed -n 's/^Version: //p' | cut -f1 -d '-')
# symbols.in files & their "generated" file names
SYMBOLS_in := $(wildcard debian/*.symbols.in)
SYMBOLS_generated := $(patsubst %.in,%,$(SYMBOLS_in))

libpopplerN := $(shell sed -rn 's/^Package:[[:space:]]*(libpoppler[0-9]+)[[:space:]]*$$/\1/p' debian/control)

# avoid overlinking and reduce library dependencies
export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed

# enable all the hardening options
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# DEB_* variables
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

# disable gtk stuff to minimize Build-Depends
CONFIGURE_ARGS :=				\
	-DCMAKE_BUILD_TYPE=Release		\
	-DCMAKE_C_FLAGS_RELEASE="$(CFLAGS)"	\
	-DCMAKE_CXX_FLAGS_RELEASE="$(CXXFLAGS)"	\
	-DCMAKE_INSTALL_LIBDIR="lib/$(DEB_HOST_MULTIARCH)" \
	-DENABLE_GLIB=ON			\
	-DENABLE_QT5=ON				\
	-DENABLE_CPP=ON				\
	-DENABLE_GTK_DOC=ON			\
	-DENABLE_UNSTABLE_API_ABI_HEADERS=ON		\
	-DENABLE_CMS=lcms2			\
	-DENABLE_LIBOPENJPEG=unmaintained	\
	-DBUILD_GTK_TESTS=OFF

%:
	dh $@ --with gir

override_dh_auto_clean:
	dh_auto_clean
	rm -f glib/reference/html/*
	rm -f $(SYMBOLS_generated)

override_dh_autoreconf:
	dh_autoreconf --as-needed

override_dh_auto_configure:
	dh_auto_configure -- $(CONFIGURE_ARGS)

override_dh_missing:
	dh_missing --fail-missing

override_dh_installchangelogs:
	dh_installchangelogs -p$(libpopplerN)
	dh_installchangelogs --remaining-packages -XChangeLog

override_dh_makeshlibs: $(SYMBOLS_generated)
	dh_makeshlibs -p$(libpopplerN) -V
	dh_makeshlibs -plibpoppler-cpp0v5 -V"libpoppler-cpp0v5 (>= 0.46.0)"
	dh_makeshlibs --remaining-packages

debian/%.symbols: debian/%.symbols.in
	cat $^ | sed -e 's/#CURVER#/$(UPSTREAM_VERSION)/g' > $@

.PHONY: override_dh_auto_test

## poppler 0.81.0

=== debian/changelog ===
poppler (0.81.0-1~mx19+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 12 Jul 2021 15:12:03 -0700

poppler (0.81.0-1) experimental; urgency=medium

  * New upstream release. Closes: #924617.
  * Remove patches applied upstream.
  * libpoppler82 -> libpoppler91.
  * Update cmake flag for the unstable headers.
  * Update README filename.
  * Update symbols files.
  * Update copyright holders.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Fri, 04 Oct 2019 12:45:27 +0200

poppler (0.71.0-6) unstable; urgency=medium

  [ Simon McVittie ]
  * d/p/Silence-deprecation-warnings-for-PopplerAttachment-c.patch:
    Silence deprecation warnings for GTime, fixing autopkgtest
    (Closes: #941718)

  [ Emilio Pozuelo Monfort ]
  * Remove Joss from uploaders, thanks for all the work! Closes: #930163.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Fri, 04 Oct 2019 11:32:23 +0200

=== debian/control ===
Source: poppler
Section: devel
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Debian freedesktop.org maintainers <pkg-freedesktop-maintainers@lists.alioth.debian.org>
Uploaders: Loic Minier <lool@dooz.org>,
           Pino Toscano <pino@debian.org>,
           Emilio Pozuelo Monfort <pochu@debian.org>
Build-Depends: cmake,
               debhelper (>= 11),
               dpkg (>= 1.16.1),
               gobject-introspection (>= 1.42.0-2~),
               gtk-doc-tools (>= 1.14),
               libcairo2-dev (>= 1.10.0),
               libfontconfig1-dev,
               libfreetype6-dev,
               libgirepository1.0-dev (>= 1.42.0-2~),
               libglib2.0-dev (>= 2.41),
               libjpeg-dev,
               liblcms2-dev,
               libnss3-dev,
               libopenjp2-7-dev,
               libpng-dev,
               libtiff-dev,
               pkg-config (>= 0.18),
               qtbase5-dev,
               zlib1g-dev
Build-Depends-Indep: libcairo2-doc, libglib2.0-doc
Standards-Version: 4.1.2
Homepage: http://poppler.freedesktop.org/
Vcs-Git: https://salsa.debian.org/freedesktop-team/poppler.git
Vcs-Browser: https://salsa.debian.org/freedesktop-team/poppler

Package: libpoppler91
Architecture: any
Section: libs
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: poppler-data
Description: PDF rendering library
 Poppler is a PDF rendering library based on Xpdf PDF viewer.
 .
 This package contains the shared core library.

Package: libpoppler-dev
Architecture: any
Section: libdevel
Multi-Arch: same
Depends: libpoppler91 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: PDF rendering library -- development files
 Poppler is a PDF rendering library based on Xpdf PDF viewer.
 .
 This package contains the development libraries needed to build applications
 using Poppler.

Package: libpoppler-private-dev
Architecture: any
Section: libdevel
Multi-Arch: same
Depends: libpoppler-dev (= ${binary:Version}), ${misc:Depends}
Suggests: libfreetype6-dev
Description: PDF rendering library -- private development files
 Poppler is a PDF rendering library based on Xpdf PDF viewer.
 .
 This package contains the private and unstable headers needed to build
 applications using the private Poppler core library.

Package: libpoppler-glib8
Architecture: any
Section: libs
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: libpoppler91 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: PDF rendering library (GLib-based shared library)
 Poppler is a PDF rendering library based on Xpdf PDF viewer.
 .
 This package provides the GLib-based shared library for applications
 using the GLib interface to Poppler.

Package: libpoppler-glib-dev
Architecture: any
Section: libdevel
Depends: gir1.2-poppler-0.18 (= ${binary:Version}),
         libcairo2-dev (>= 1.10.0),
         libglib2.0-dev (>= 2.41),
         libpoppler-dev (= ${binary:Version}),
         libpoppler-glib8 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: libpoppler-glib-doc
Description: PDF rendering library -- development files (GLib interface)
 Poppler is a PDF rendering library based on Xpdf PDF viewer.
 .
 This package contains the headers and development libraries needed to
 build applications using the GLib-based Poppler interface.

Package: libpoppler-glib-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Recommends: libcairo2-doc, libglib2.0-doc
Description: PDF rendering library -- documentation for the GLib interface
 Poppler is a PDF rendering library based on Xpdf PDF viewer.
 .
 This package contains the API documentation of the GLib-based Poppler
 interface.

Package: gir1.2-poppler-0.18
Architecture: any
Section: introspection
Multi-Arch: same
Depends: ${gir:Depends}, ${misc:Depends}, ${shlibs:Depends}
Description: GObject introspection data for poppler-glib
 Poppler is a PDF rendering library based on Xpdf PDF viewer.
 .
 This package contains introspection data for poppler-glib.
 .
 It can be used by packages using the GIRepository format to generate
 dynamic bindings.

Package: libpoppler-qt5-1
Architecture: any
Section: libs
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: libpoppler91 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: PDF rendering library (Qt 5 based shared library)
 Poppler is a PDF rendering library based on Xpdf PDF viewer.
 .
 This package provides the Qt 5 based shared library for applications
 using the Qt 5 interface to Poppler.

Package: libpoppler-qt5-dev
Architecture: any
Section: libdevel
Multi-Arch: same
Depends: libpoppler-dev (= ${binary:Version}),
         libpoppler-qt5-1 (= ${binary:Version}),
         qtbase5-dev,
         ${misc:Depends},
         ${shlibs:Depends}
Description: PDF rendering library -- development files (Qt 5 interface)
 Poppler is a PDF rendering library based on Xpdf PDF viewer.
 .
 This package contains the headers and development libraries needed to
 build applications using the Qt 5-based Poppler interface.

Package: libpoppler-cpp0v5
Architecture: any
Section: libs
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: libpoppler91 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Conflicts: libpoppler-cpp0
Replaces: libpoppler-cpp0
Description: PDF rendering library (CPP shared library)
 Poppler is a PDF rendering library based on Xpdf PDF viewer.
 .
 This package provides the CPP shared library for applications
 using a simple C++ interface (using STL, and no other dependency) to Poppler.

Package: libpoppler-cpp-dev
Architecture: any
Section: libdevel
Multi-Arch: same
Depends: libpoppler-cpp0v5 (= ${binary:Version}),
         libpoppler-dev (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: PDF rendering library -- development files (CPP interface)
 Poppler is a PDF rendering library based on Xpdf PDF viewer.
 .
 This package contains the headers and development libraries needed to
 build applications using the C++ Poppler interface.

Package: poppler-utils
Architecture: any
Section: utils
Multi-Arch: foreign
Depends: libpoppler91 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Breaks: xpdf-common, xpdf-utils (<< 1:0)
Conflicts: pdftohtml
Replaces: pdftohtml, xpdf-reader, xpdf-utils (<< 3.02-2~)
Provides: pdftohtml, xpdf-utils
Description: PDF utilities (based on Poppler)
 Poppler is a PDF rendering library based on Xpdf PDF viewer.
 .
 This package contains command line utilities (based on Poppler) for getting
 information of PDF documents, convert them to other formats, or manipulate
 them:
  * pdfdetach -- lists or extracts embedded files (attachments)
  * pdffonts -- font analyzer
  * pdfimages -- image extractor
  * pdfinfo -- document information
  * pdfseparate -- page extraction tool
  * pdfsig -- verifies digital signatures
  * pdftocairo -- PDF to PNG/JPEG/PDF/PS/EPS/SVG converter using Cairo
  * pdftohtml -- PDF to HTML converter
  * pdftoppm -- PDF to PPM/PNG/JPEG image converter
  * pdftops -- PDF to PostScript (PS) converter
  * pdftotext -- text extraction
  * pdfunite -- document merging tool

=== debian/tests/control ===
Tests: cpp
Depends: build-essential, cups-filters, libpoppler-cpp-dev, pkg-config

Tests: glib
Depends: build-essential, cups-filters, libpoppler-glib-dev, pkg-config

Tests: qt5
Depends: build-essential, cups-filters, libpoppler-qt5-dev, pkg-config

## poppler 0.85.0

=== debian/changelog ===
poppler (0.85.0-1ubuntu3) focal; urgency=medium

  * debian/patches/glyphless-font.patch:
    - updated for the recent poppler upstream changes

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 04 Mar 2020 19:09:31 +0100

poppler (0.85.0-1ubuntu2) focal; urgency=medium

  * debian/patches/glyphless-font.patch:
    - restore a fix to the patch for a null pointer dereference which was
      reverted by error in the recent merge/update (lp: #1865861)

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 04 Mar 2020 18:29:53 +0100

poppler (0.85.0-1ubuntu1) focal; urgency=medium

  * Resynchronize with Debian, removing the jpx parser CVE fixes since
    the openjpeg backend is used now. Remaining changes
  * d/p/glyphless-font.patch: 
    - Support Tesseract's glyphless font (LP: #1830473)
  * debian/tests:
    - Make autopkgtests cross-test-friendly.

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 24 Feb 2020 11:09:50 +0100

poppler (0.85.0-1) experimental; urgency=medium

  [ Andreas Henriksson ]
  * New upstream release.
  * libpoppler91 -> libpoppler95
  * Revert "Silence deprecation warnings for GTime, fixing autopkgtest"
    - merged upstream, now part of upstream release.
  * Update symbols

  [ Philip Withnall ]
  * Add python3:any to build deps as it’s used in `make-glib-api-docs` script.
    Closes: #947327.

  [ Emilio Pozuelo Monfort ]
  * Replace ADTTMP variable with AUTOPKGTEST_TMP.
  * Update copyright holders.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Wed, 19 Feb 2020 18:50:58 +0100

=== debian/control ===
--- 
+++ 
@@ -1,42 +1,45 @@
 Source: poppler
 Section: devel
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian freedesktop.org maintainers <pkg-freedesktop-maintainers@lists.alioth.debian.org>
 Uploaders: Loic Minier <lool@dooz.org>,
            Pino Toscano <pino@debian.org>,
-           Emilio Pozuelo Monfort <pochu@debian.org>
-Build-Depends: cmake,
-               debhelper (>= 11),
+           Emilio Pozuelo Monfort <pochu@debian.org>,
+Build-Depends: debhelper (>= 11),
                dpkg (>= 1.16.1),
-               gobject-introspection (>= 1.42.0-2~),
-               gtk-doc-tools (>= 1.14),
+               cmake,
+               libglib2.0-dev (>= 2.41),
+               libfontconfig1-dev,
                libcairo2-dev (>= 1.10.0),
-               libfontconfig1-dev,
-               libfreetype6-dev,
-               libgirepository1.0-dev (>= 1.42.0-2~),
-               libglib2.0-dev (>= 2.41),
+               libopenjp2-7-dev,
                libjpeg-dev,
-               liblcms2-dev,
-               libnss3-dev,
-               libopenjp2-7-dev,
                libpng-dev,
                libtiff-dev,
+               liblcms2-dev,
+               libfreetype6-dev,
+               gtk-doc-tools (>= 1.14),
                pkg-config (>= 0.18),
+               python3:any,
+               libgirepository1.0-dev (>= 1.42.0-2~),
+               gobject-introspection (>= 1.42.0-2~),
                qtbase5-dev,
-               zlib1g-dev
-Build-Depends-Indep: libcairo2-doc, libglib2.0-doc
+               zlib1g-dev,
+               libnss3-dev,
+Build-Depends-Indep: libglib2.0-doc,
+                     libcairo2-doc
 Standards-Version: 4.1.2
 Homepage: http://poppler.freedesktop.org/
 Vcs-Git: https://salsa.debian.org/freedesktop-team/poppler.git
 Vcs-Browser: https://salsa.debian.org/freedesktop-team/poppler
 
-Package: libpoppler91
-Architecture: any
-Section: libs
-Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Package: libpoppler95
+Architecture: any
+Section: libs
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
+Depends: ${shlibs:Depends},
+         ${misc:Depends}
 Recommends: poppler-data
 Description: PDF rendering library
  Poppler is a PDF rendering library based on Xpdf PDF viewer.
@@ -47,7 +50,9 @@
 Architecture: any
 Section: libdevel
 Multi-Arch: same
-Depends: libpoppler91 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
+Depends: libpoppler95 (= ${binary:Version}),
+         ${shlibs:Depends},
+         ${misc:Depends}
 Description: PDF rendering library -- development files
  Poppler is a PDF rendering library based on Xpdf PDF viewer.
  .
@@ -58,8 +63,9 @@
 Architecture: any
 Section: libdevel
 Multi-Arch: same
-Depends: libpoppler-dev (= ${binary:Version}), ${misc:Depends}
-Suggests: libfreetype6-dev
+Depends: libpoppler-dev (= ${binary:Version}),
+         ${misc:Depends}
+Suggests: libfreetype6-dev,
 Description: PDF rendering library -- private development files
  Poppler is a PDF rendering library based on Xpdf PDF viewer.
  .
@@ -71,7 +77,9 @@
 Section: libs
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
-Depends: libpoppler91 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
+Depends: libpoppler95 (= ${binary:Version}),
+         ${shlibs:Depends},
+         ${misc:Depends}
 Description: PDF rendering library (GLib-based shared library)
  Poppler is a PDF rendering library based on Xpdf PDF viewer.
  .
@@ -81,13 +89,13 @@
 Package: libpoppler-glib-dev
 Architecture: any
 Section: libdevel
-Depends: gir1.2-poppler-0.18 (= ${binary:Version}),
+Depends: libpoppler-glib8 (= ${binary:Version}),
+         libpoppler-dev (= ${binary:Version}),
+         gir1.2-poppler-0.18 (= ${binary:Version}),
+         libglib2.0-dev (>= 2.41),
          libcairo2-dev (>= 1.10.0),
-         libglib2.0-dev (>= 2.41),
-         libpoppler-dev (= ${binary:Version}),
-         libpoppler-glib8 (= ${binary:Version}),
-         ${misc:Depends},
-         ${shlibs:Depends}
+         ${shlibs:Depends},
+         ${misc:Depends}
 Suggests: libpoppler-glib-doc
 Description: PDF rendering library -- development files (GLib interface)
  Poppler is a PDF rendering library based on Xpdf PDF viewer.
@@ -99,7 +107,8 @@
 Architecture: all
 Section: doc
 Depends: ${misc:Depends}
-Recommends: libcairo2-doc, libglib2.0-doc
+Recommends: libglib2.0-doc,
+            libcairo2-doc,
 Description: PDF rendering library -- documentation for the GLib interface
  Poppler is a PDF rendering library based on Xpdf PDF viewer.
  .
@@ -110,7 +119,9 @@
 Architecture: any
 Section: introspection
 Multi-Arch: same
-Depends: ${gir:Depends}, ${misc:Depends}, ${shlibs:Depends}
+Depends: ${shlibs:Depends},
+         ${misc:Depends},
+         ${gir:Depends}
 Description: GObject introspection data for poppler-glib
  Poppler is a PDF rendering library based on Xpdf PDF viewer.
  .
@@ -124,7 +135,9 @@
 Section: libs
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
-Depends: libpoppler91 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
+Depends: libpoppler95 (= ${binary:Version}),
+         ${shlibs:Depends},
+         ${misc:Depends}
 Description: PDF rendering library (Qt 5 based shared library)
  Poppler is a PDF rendering library based on Xpdf PDF viewer.
  .
@@ -135,11 +148,11 @@
 Architecture: any
 Section: libdevel
 Multi-Arch: same
-Depends: libpoppler-dev (= ${binary:Version}),
-         libpoppler-qt5-1 (= ${binary:Version}),
+Depends: libpoppler-qt5-1 (= ${binary:Version}),
+         libpoppler-dev (= ${binary:Version}),
          qtbase5-dev,
-         ${misc:Depends},
-         ${shlibs:Depends}
+         ${shlibs:Depends},
+         ${misc:Depends}
 Description: PDF rendering library -- development files (Qt 5 interface)
  Poppler is a PDF rendering library based on Xpdf PDF viewer.
  .
@@ -151,7 +164,9 @@
 Section: libs
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
-Depends: libpoppler91 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
+Depends: libpoppler95 (= ${binary:Version}),
+         ${shlibs:Depends},
+         ${misc:Depends}
 Conflicts: libpoppler-cpp0
 Replaces: libpoppler-cpp0
 Description: PDF rendering library (CPP shared library)
@@ -166,8 +181,8 @@
 Multi-Arch: same
 Depends: libpoppler-cpp0v5 (= ${binary:Version}),
          libpoppler-dev (= ${binary:Version}),
-         ${misc:Depends},
-         ${shlibs:Depends}
+         ${shlibs:Depends},
+         ${misc:Depends}
 Description: PDF rendering library -- development files (CPP interface)
  Poppler is a PDF rendering library based on Xpdf PDF viewer.
  .
@@ -178,11 +193,19 @@
 Architecture: any
 Section: utils
 Multi-Arch: foreign
-Depends: libpoppler91 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
-Breaks: xpdf-common, xpdf-utils (<< 1:0)
+Depends: libpoppler95 (= ${binary:Version}),
+         ${shlibs:Depends},
+         ${misc:Depends}
+# should really be just the following:
+#Breaks: xpdf-utils (<< 3.02-2~)
+# ... but because of #774949 (remove after Stretch/9.0) instead is:
+Breaks: xpdf-utils (<< 1:0), xpdf-common
 Conflicts: pdftohtml
-Replaces: pdftohtml, xpdf-reader, xpdf-utils (<< 3.02-2~)
-Provides: pdftohtml, xpdf-utils
+Replaces: xpdf-utils (<< 3.02-2~),
+          pdftohtml,
+          xpdf-reader
+Provides: xpdf-utils,
+          pdftohtml
 Description: PDF utilities (based on Poppler)
  Poppler is a PDF rendering library based on Xpdf PDF viewer.
  .
